
//////////////////////////
#version 150
#pragma optimize(on)
#pragma debug(off)
#extension all : disable
//////////////////////////


// -- Uniform --
uniform sampler2D Tex_Rain1;
uniform sampler2D Tex_Rain2;


// -- Input fragment --
in vec4 fPosProj;
in vec2 fTexcoord0;
in vec2 fTexcoord1;
in vec2 fTexcoord2;

// -- Fragment output --
out vec4 outColor;

// -- Calculate Parallel light --


// -- Main --
void main(void)
{
	//vec3 texCoord = fPosProj.xyz / fPosProj.w;
	
	outColor = texture(Tex_Rain2, fTexcoord0.xy).rgba * 0.3 + texture(Tex_Rain1, fTexcoord1.xy).rgba * 0.3 +
	 + texture(Tex_Rain1, fTexcoord2.xy).rgba * 0.4;
	outColor.rgb *= 0.5;
	
}