
//////////////////////////
#version 150
#pragma optimize(on)
#pragma debug(off)
#extension all : disable
//////////////////////////


// -- Uniform --
uniform mat4 Matrix_MVP;
uniform vec2 RainVelocity1;
uniform vec2 RainVelocity2;
uniform vec2 RainVelocity3;

// -- Input vertex attributes --
in vec3 pos;
in vec2 tex0;

// -- Output vertex attributes --
out vec4 fPosProj;
out vec2 fTexcoord0;
out vec2 fTexcoord1;
out vec2 fTexcoord2;

// -- Main --
void main()
{
	fPosProj = Matrix_MVP * vec4(pos, 1);
	fTexcoord0 = tex0; // + RainVelocity1;
	fTexcoord1 = tex0 + RainVelocity2;
	fTexcoord2 = tex0 + RainVelocity3;
	gl_Position = vec4(pos, 1);
}