
//////////////////////////
#version 150
#pragma optimize(on)
#pragma debug(off)
#extension all : disable
//////////////////////////


// -- Uniform --

// Light view projection matrix
uniform mat4 Matrix_LVP;


// -- Input vertex attributes --
in vec3 pos;


// -- Output vertex attributes --
out vec4 fPosProj;
out vec4 fPosView;

// -- Main --
void main()
{
	fPosProj = Matrix_LVP * vec4(pos, 1);
	
	gl_Position = Matrix_LVP * vec4(pos, 1);
}