
//////////////////////////
#version 150
#pragma optimize(on)
#pragma debug(off)
#extension all : disable
//////////////////////////


// -- Uniform --
uniform mat4 Matrix_MVP;
uniform vec4 Color_Ambient;
uniform vec4 Color_Diffuse;


// -- Input vertex attributes --
in vec3 pos;


// -- Output vertex attributes --
out vec4 color;

// -- Main --
void main()
{
	gl_Position = Matrix_MVP * vec4(pos,1);
	color = Color_Ambient + Color_Diffuse;
}