
//////////////////////////
#version 150
#pragma optimize(on)
#pragma debug(off)
#extension all : disable
//////////////////////////


// -- Uniform --

// Model matrix
uniform mat4 Matrix_MVP;


// -- Input vertex attributes --
in vec3 pos;


// -- Output vertex attributes --
out vec3 fTex0;

// -- Main --
void main()
{
	// z/w = 1 project to infinity, set depth test to less_equal
	gl_Position = Matrix_MVP * vec4(pos, 1);
	gl_Position.z = gl_Position.w;
	
	fTex0 = pos;
}